summaryrefslogtreecommitdiff
path: root/sys-apps
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-09-12 03:04:40 -0500
committerroot <root@alpha.trunkmasters.com>2026-09-12 03:04:40 -0500
commit9f2ba2858a177b1c2335b5b46428ee7cec08c288 (patch)
tree5d011733f0f36bb21431d32301b97936074fdbc6 /sys-apps
parentae5ea37cbb0424d6e3e6c1e1d282946e201225e6 (diff)
downloadbaldeagleos-repo-9f2ba2858a177b1c2335b5b46428ee7cec08c288.tar.gz
baldeagleos-repo-9f2ba2858a177b1c2335b5b46428ee7cec08c288.tar.xz
baldeagleos-repo-9f2ba2858a177b1c2335b5b46428ee7cec08c288.zip
Adding metadata
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/cyme/Manifest2
-rw-r--r--sys-apps/cyme/cyme-3.0.2.ebuild27
-rw-r--r--sys-apps/systemd/Manifest1
-rw-r--r--sys-apps/systemd/systemd-261.2.ebuild7
-rw-r--r--sys-apps/systemd/systemd-261.3.ebuild620
5 files changed, 656 insertions, 1 deletions
diff --git a/sys-apps/cyme/Manifest b/sys-apps/cyme/Manifest
index ff8c9a009949..9bfb9b9e8d6f 100644
--- a/sys-apps/cyme/Manifest
+++ b/sys-apps/cyme/Manifest
@@ -1,4 +1,6 @@
DIST cyme-3.0.0.gh.tar.gz 502909 BLAKE2B 1e49cffc3af35c793e54cff1d4eda0939d7880fcae05fee4f5344ce793d15240acef7f417e2575f1e3570d470168431cf74322a1459f227bc9e02635fe4ea292 SHA512 26d33c7fb20865f97bf6edec628f50acc1467596e448c94e0f3164b4add84c90b5f504359c57cd9c66cb150f39f5f0a6d04408c168eca04a981f941de2f4ab79
DIST cyme-3.0.1.gh.tar.gz 504377 BLAKE2B 19b67c9c7f5768a55c63b8023a8fb39b3248ed08a2134c6969e23b23dca5d478341a892d4efca916f4484df6c1b2aaa680c80a7fc541d3482cf7b0d3c16a2f3b SHA512 5386847317f04dfa74e5ce8aa184640f5ceb4effa9187c586cacdc0473b5a15aae56c7ac7c61486d6a248dddfb1540e99273801e1cf221413ea2b539e9fd91a3
+DIST cyme-3.0.2.gh.tar.gz 505557 BLAKE2B 00c95a2054eec4944e714c129a89ada0a61fb7fca72393a16c2f6f8bea7fcf62da59f1318b96ede650a0b36c348ff6f34ee4924f6ef5a97711af81825262c956 SHA512 aa567f276bd16b6c208c3760c66f95cecad3b106d4a2d3597b3ceffd2b87fb87606c28fef633df6f991f0d8c35e44d4c07de5341b948e2a4e28d81248c73ecde
DIST cyme-v3.0.0-crates.tar.xz 17418632 BLAKE2B fa8776bb051c8ebce4f31c2fa5186734f4e9fb0cbf5f17738ba89d018ceeace5b6d436f7035c9294e98c528b0aba2bb17e36a980db6d1bae417a62fd69e744a7 SHA512 5087ac21b4e3f0cc20cc233f4036d380b0e23cd971a36d64807d200e02b1336a11fa32c40781fbf996f9ba35aa3b642a23c61cd3472a1a6af74172fbb117c0cf
DIST cyme-v3.0.1-crates.tar.xz 17428128 BLAKE2B d51f3e36c9d1113d221c8bde6d9282a4b47e629bf6ec1c7d45ae7a1a58fe43edfabec330e09efbf642fa868a8404f81f1238e68bd8aeaa52e49aa4aaff59c57a SHA512 ca701d49eca440db4701b0cc8111263da3fe53750596e3dc20fed7ba35faf7f4cfcebfa00552b8ee365d597b39e39a65e933366e9f02f8ea39c64d6a05bd2c1c
+DIST cyme-v3.0.2-crates.tar.xz 18439176 BLAKE2B a0a408c3d43b0b2d2c09cb4681d413c6e56c9abaf938155c828c67e7206d93c5d5ae282902b47b1a6a39c4d1924fd819510418238a861cdc47e4ecbc86270578 SHA512 3aa7078c7be1995411b4caddc27e323ecdf26a122e8f7e76b27179eba35d4cdb2d636faadc58f24fe6b7982d1f7e2864ad626c7c98d02a4ed2a9870a76da82c7
diff --git a/sys-apps/cyme/cyme-3.0.2.ebuild b/sys-apps/cyme/cyme-3.0.2.ebuild
new file mode 100644
index 000000000000..898804d05aef
--- /dev/null
+++ b/sys-apps/cyme/cyme-3.0.2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+RUST_MIN_VER="1.88.0"
+CRATES="
+"
+
+inherit cargo
+
+DESCRIPTION="List system USB buses and devices; a modern cross-platform \`lsusb\`"
+HOMEPAGE="https://github.com/tuna-f1sh/cyme/"
+SRC_URI="
+ https://github.com/tuna-f1sh/cyme/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+ https://github.com/gentoo-crate-dist/cyme/releases/download/v${PV}/cyme-v${PV}-crates.tar.xz
+"
+
+LICENSE="GPL-3+"
+# Dependent crate licenses
+LICENSE+=" Apache-2.0 LGPL-2+ MIT MPL-2.0 Unicode-3.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+QA_FLAGS_IGNORED="/usr/bin/cyme"
diff --git a/sys-apps/systemd/Manifest b/sys-apps/systemd/Manifest
index 0e460f8575cb..e5e7b2f3cc8f 100644
--- a/sys-apps/systemd/Manifest
+++ b/sys-apps/systemd/Manifest
@@ -4,6 +4,7 @@ DIST systemd-260.2.tar.gz 17663337 BLAKE2B 6f19c9ab444d9bcd8d585a4c2ef5bf8763dcf
DIST systemd-260.4.tar.gz 17757440 BLAKE2B a1e171a2282e494cf1881fb0c33f9974eee06b7b1d623fe8e041b7fcabf9424af080ca21a8d0d2829f90469253fa42265a1870f1bf7f824326db8e32384a18bc SHA512 1cd03f78d2e782d351dc049bb8ef22ab03a2600f5f667721045aa113baea0c7f72743088932b813140f39007a43d5491e58f40ef36eeb9ddfd9a183d39e4b000
DIST systemd-261.1.tar.gz 18405830 BLAKE2B ab345d6ae27d361aa56d3b021263e2b2e3af76cdc37ee9015932557f1b904f2e5e5a6d5911b4a442057d12d5eedf8a702a30aa13f9b68294ccc14833f397a0ea SHA512 5dbf8b902fbed6e719367266da658b46ed55e76c93b7aa48ebaf9daca36cb19261ebd45cb97139c51227022a8ca3d07da360953bd9b0aebb429dce6d111f7e5c
DIST systemd-261.2.tar.gz 18456346 BLAKE2B f8f57c5e78ff31727ecfd18b61d3a3a95b764e5a049c0cc974be567273db2f771ab2f50df1ebf06b0c3a659c7e02db309dee4844217e3a91ae1169877971a34e SHA512 876f043970cb65b39ae15fba39f23bf94c7c3d80569503d6e8ea2c8013c30ee40ce43cb55cbcb1cf14d5c3021aafc09c0f67473bbf742d8964bf9fa30693b971
+DIST systemd-261.3.tar.gz 18560547 BLAKE2B d0809439fea1f8c8b00a597ea5a09ff0455009c07f13976ed7663978bb8cafbd22ce0f49386087fec3553b376251cc8c82ca05adb6188c6ec43e580b336dc7de SHA512 b271feced437bda2b33a158a0c5a013f42ec335e7266d8b45c160e79454885985c9451f8575775760a3c8534ac7ec20afa669180d606c94efea3cabba28456e1
DIST systemd-261.tar.gz 18390754 BLAKE2B 3e307fa237911ee18e9dca2e3e26eac4859fe19bd856c970d9c557ed2a3420944a20affad60bf10dc4cada657778bac38a1a529fc0081ba255550bfd4c1a1f06 SHA512 6a21c2a9bd83d962db4e6c095078ec79259d8109583b59094d17e76c0826e96a6183778f46b64352b0fe62cb8890736e9331f35e9a4c8b65f9b574fa915f9fd8
DIST systemd-262-rc1.tar.gz 18982539 BLAKE2B b2164077a03d0a473fc2182b8f8926d4429b2ec49c48754db47a1c9fcdd4fcdbd13097c92747c611a09975edf5866d8a6a5b9537febf4d956285db4c1d145779 SHA512 5bd4ed38246de1ea17b46fcc6f921f94a53047cec4dc53b005afd4ca75cd50d631b92c6662204871ad2c0808694244ec15d90732b1251d15bf5f9d74b6a2a7f0
DIST systemd-262-rc2.tar.gz 19014998 BLAKE2B 8121400c571d74afde0d4d6e89358704c77dbab46fe7338871d268f39134e1f3b5d5b42a7a5a97ce4a721d2a38930d5d47c84ee04ef6787090deba31d676cee4 SHA512 8d4f8d41e0af6b058d922490896bdbc8487927b2b1db488a9c24614bac4fc3a14bafcd50901251d4ad4095cc2f56782f900fb32e0a70aab56f6a69fdfd257442
diff --git a/sys-apps/systemd/systemd-261.2.ebuild b/sys-apps/systemd/systemd-261.2.ebuild
index 8ac96c6c8510..a1c79303c65f 100644
--- a/sys-apps/systemd/systemd-261.2.ebuild
+++ b/sys-apps/systemd/systemd-261.2.ebuild
@@ -25,7 +25,7 @@ else
fi
inherit branding flag-o-matic linux-info meson-multilib optfeature pam python-single-r1
-inherit secureboot shell-completion systemd toolchain-funcs udev
+inherit secureboot shell-completion systemd toolchain-funcs udev xdg-utils
DESCRIPTION="System and service manager for Linux"
HOMEPAGE="https://systemd.io/"
@@ -551,6 +551,7 @@ pkg_preinst() {
}
pkg_postinst() {
+ xdg_mimeinfo_database_update
systemd_update_catalog
# Keep this here in case the database format changes so it gets updated
@@ -614,3 +615,7 @@ pkg_prerm() {
rm -f -v "${EROOT}"/var/lib/systemd/catalog/database
fi
}
+
+pkg_postrm() {
+ xdg_mimeinfo_database_update
+}
diff --git a/sys-apps/systemd/systemd-261.3.ebuild b/sys-apps/systemd/systemd-261.3.ebuild
new file mode 100644
index 000000000000..a423edab718f
--- /dev/null
+++ b/sys-apps/systemd/systemd-261.3.ebuild
@@ -0,0 +1,620 @@
+# Copyright 2011-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{13..14} )
+
+# Avoid QA warnings
+TMPFILES_OPTIONAL=1
+UDEV_OPTIONAL=1
+
+QA_PKGCONFIG_VERSION=$(ver_cut 1)
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://github.com/systemd/systemd.git"
+ inherit git-r3
+else
+ MY_PV=${PV/_/-}
+ MY_P=${PN}-${MY_PV}
+ S=${WORKDIR}/${MY_P}
+ SRC_URI="https://github.com/systemd/${PN}/archive/refs/tags/v${MY_PV}.tar.gz -> ${MY_P}.tar.gz"
+
+ if [[ ${PV} != *rc* ]] ; then
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+ fi
+fi
+
+inherit branding flag-o-matic linux-info meson-multilib optfeature pam python-single-r1
+inherit secureboot shell-completion systemd toolchain-funcs udev xdg-utils
+
+DESCRIPTION="System and service manager for Linux"
+HOMEPAGE="https://systemd.io/"
+
+LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
+SLOT="0/2"
+IUSE="
+ acl apparmor audit boot bpf cryptsetup curl +dns-over-tls elfutils fido2
+ +gcrypt gnutls homed idn imds importd +kernel-install +kmod +libarchive
+ +lz4 lzma +openssl pam passwdqc pcre pkcs11 policykit pwquality qrcode
+ remote +resolvconf +seccomp selinux sysv-utils test tpm ukify vanilla xkb
+ +zstd
+"
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ boot? ( kernel-install )
+ dns-over-tls? ( openssl )
+ fido2? ( cryptsetup openssl )
+ homed? ( cryptsetup pam openssl )
+ imds? ( curl )
+ importd? ( curl libarchive lzma openssl )
+ ?? ( passwdqc pwquality )
+ passwdqc? ( homed )
+ pwquality? ( homed )
+ remote? ( curl )
+ ukify? ( boot )
+"
+RESTRICT="!test? ( test )"
+
+MINKV="5.10"
+
+COMMON_DEPEND="
+ >=sys-apps/util-linux-2.37
+ acl? ( sys-apps/acl )
+ apparmor? ( >=sys-libs/libapparmor-2.13 )
+ audit? ( >=sys-process/audit-2 )
+ bpf? ( >=dev-libs/libbpf-1.4.0 )
+ cryptsetup? ( >=sys-fs/cryptsetup-2.4.0:= )
+ curl? ( >=net-misc/curl-7.32.0:0= )
+ elfutils? ( >=dev-libs/elfutils-0.177 )
+ elibc_glibc? (
+ >=sys-libs/glibc-2.34
+ >=sys-libs/libxcrypt-4.4.0
+ )
+ elibc_musl? (
+ >=sys-libs/musl-1.2.6
+ sys-libs/libucontext
+ virtual/libcrypt
+ )
+ fido2? (
+ dev-libs/libfido2
+ )
+ gcrypt? ( >=dev-libs/libgcrypt-1.4.5 )
+ gnutls? ( >=net-libs/gnutls-3.6.0:0= )
+ remote? ( >=net-libs/libmicrohttpd-0.9.33:0=[epoll(+)] )
+ idn? ( net-dns/libidn2 )
+ importd? (
+ app-arch/bzip2:0=
+ virtual/zlib:=
+ )
+ kmod? ( >=sys-apps/kmod-15:0= )
+ libarchive? ( >=app-arch/libarchive-3.0:0= )
+ lz4? ( >=app-arch/lz4-0_p131:0= )
+ lzma? ( >=app-arch/xz-utils-5.0.5-r1:0= )
+ openssl? ( >=dev-libs/openssl-3.0.0:0= )
+ pam? ( sys-libs/pam:=[${MULTILIB_USEDEP}] )
+ passwdqc? ( sys-auth/passwdqc )
+ pkcs11? ( >=app-crypt/p11-kit-0.23.3 )
+ pcre? ( dev-libs/libpcre2 )
+ pwquality? ( >=dev-libs/libpwquality-1.4.1 )
+ qrcode? ( >=media-gfx/qrencode-3:0= )
+ seccomp? ( >=sys-libs/libseccomp-2.4.0 )
+ selinux? ( >=sys-libs/libselinux-2.1.9 )
+ tpm? ( app-crypt/tpm2-tss )
+ xkb? ( >=x11-libs/libxkbcommon-0.4.1 )
+ zstd? ( >=app-arch/zstd-1.4.0:0= )
+"
+
+# Newer linux-headers needed by ia64, bug #480218
+DEPEND="${COMMON_DEPEND}
+ >=sys-kernel/linux-headers-${MINKV}
+"
+
+PEFILE_DEPEND='dev-python/pefile[${PYTHON_USEDEP}]'
+
+# baselayout-2.2 has /run
+RDEPEND="${COMMON_DEPEND}
+ >=acct-group/adm-0-r1
+ >=acct-group/wheel-0-r1
+ >=acct-group/kmem-0-r1
+ >=acct-group/tty-0-r1
+ >=acct-group/utmp-0-r1
+ >=acct-group/audio-0-r1
+ >=acct-group/cdrom-0-r1
+ acct-group/clock
+ >=acct-group/dialout-0-r1
+ >=acct-group/disk-0-r1
+ >=acct-group/input-0-r1
+ >=acct-group/kvm-0-r1
+ >=acct-group/lp-0-r1
+ >=acct-group/render-0-r1
+ acct-group/sgx
+ >=acct-group/tape-0-r1
+ acct-group/users
+ >=acct-group/video-0-r1
+ >=acct-group/systemd-journal-0-r1
+ >=acct-user/root-0-r1
+ acct-user/nobody
+ >=acct-user/systemd-journal-remote-0-r1
+ >=acct-user/systemd-coredump-0-r1
+ >=acct-user/systemd-network-0-r1
+ acct-user/systemd-oom
+ >=acct-user/systemd-resolve-0-r1
+ >=acct-user/systemd-timesync-0-r1
+ >=sys-apps/baselayout-2.2
+ imds? ( acct-user/systemd-imds )
+ ukify? (
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep "${PEFILE_DEPEND}")
+ )
+ selinux? (
+ sec-policy/selinux-base-policy[systemd]
+ sec-policy/selinux-ntp
+ )
+ sysv-utils? (
+ !sys-apps/openrc[sysv-utils(-)]
+ !sys-apps/sysvinit
+ )
+ !sysv-utils? ( sys-apps/sysvinit )
+ resolvconf? ( !net-dns/openresolv )
+ !sys-auth/nss-myhostname
+ !sys-fs/eudev
+ !sys-fs/udev
+"
+
+# sys-apps/dbus: the daemon only (+ build-time lib dep for tests)
+PDEPEND="
+ >=sys-apps/dbus-1.9.8[systemd]
+ >=sys-fs/udev-init-scripts-34
+ policykit? ( sys-auth/polkit )
+ !sysv-utils? ( sys-apps/systemd-initctl )
+ !vanilla? ( sys-apps/gentoo-systemd-integration )
+"
+
+BDEPEND="
+ app-arch/xz-utils:0
+ dev-util/gperf
+ >=dev-build/meson-0.46
+ >=sys-apps/coreutils-8.16
+ sys-devel/gettext
+ virtual/pkgconfig
+ bpf? (
+ >=dev-util/bpftool-7.0.0
+ sys-devel/bpf-toolchain
+ )
+ test? (
+ app-text/tree
+ dev-lang/perl
+ >=dev-libs/glib-2.22.0:2
+ sys-apps/dbus
+ )
+ app-text/docbook-xml-dtd:4.2
+ app-text/docbook-xml-dtd:4.5
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt:0
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep "
+ dev-python/jinja2[\${PYTHON_USEDEP}]
+ dev-python/lxml[\${PYTHON_USEDEP}]
+ boot? (
+ >=dev-python/pyelftools-0.30[\${PYTHON_USEDEP}]
+ test? ( ${PEFILE_DEPEND} )
+ )
+ ")
+"
+
+QA_FLAGS_IGNORED="usr/lib/systemd/boot/efi/.*"
+QA_EXECSTACK="usr/lib/systemd/boot/efi/*"
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != buildonly ]]; then
+ local CONFIG_CHECK="~BLK_DEV_BSG ~CGROUPS
+ ~CGROUP_BPF ~DEVTMPFS ~EPOLL ~FANOTIFY ~FHANDLE
+ ~INOTIFY_USER ~IPV6 ~NET ~NET_NS ~PROC_FS ~SIGNALFD ~SYSFS
+ ~TIMERFD ~TMPFS_XATTR ~UNIX ~USER_NS
+ ~!GRKERNSEC_PROC ~!IDE ~!SYSFS_DEPRECATED
+ ~!SYSFS_DEPRECATED_V2"
+
+ use acl && CONFIG_CHECK+=" ~TMPFS_POSIX_ACL"
+ use bpf && CONFIG_CHECK+=" ~BPF ~BPF_SYSCALL ~BPF_LSM ~DEBUG_INFO_BTF"
+ use seccomp && CONFIG_CHECK+=" ~SECCOMP ~SECCOMP_FILTER"
+
+ if kernel_is -ge 5 10 20; then
+ CONFIG_CHECK+=" ~KCMP"
+ else
+ CONFIG_CHECK+=" ~CHECKPOINT_RESTORE"
+ fi
+
+ if kernel_is -ge 4 18; then
+ CONFIG_CHECK+=" ~AUTOFS_FS"
+ else
+ CONFIG_CHECK+=" ~AUTOFS4_FS"
+ fi
+
+ if linux_config_exists; then
+ local uevent_helper_path=$(linux_chkconfig_string UEVENT_HELPER_PATH)
+ if [[ -n ${uevent_helper_path} ]] && [[ ${uevent_helper_path} != '""' ]]; then
+ ewarn "It's recommended to set an empty value to the following kernel config option:"
+ ewarn "CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
+ fi
+ if linux_chkconfig_present X86; then
+ CONFIG_CHECK+=" ~DMIID"
+ fi
+ fi
+
+ if kernel_is -lt ${MINKV//./ }; then
+ ewarn "Kernel version at least ${MINKV} required"
+ fi
+
+ check_extra_config
+ fi
+}
+
+pkg_setup() {
+ use boot && secureboot_pkg_setup
+}
+
+src_unpack() {
+ default
+ [[ ${PV} != 9999 ]] || git-r3_src_unpack
+}
+
+src_prepare() {
+ local PATCHES=(
+ "${FILESDIR}/261-gcc-bpf.patch"
+ )
+
+ if ! use vanilla; then
+ PATCHES+=(
+ "${FILESDIR}/gentoo-journald-audit-r4.patch"
+ )
+ fi
+
+ default
+}
+
+src_configure() {
+ # Prevent conflicts with i686 cross toolchain, bug 559726
+ tc-export AR CC NM OBJCOPY RANLIB
+
+ # Our toolchain sets F_S=2 by default w/ >= -O2, so we need
+ # to unset F_S first, then explicitly set 2, to negate any default
+ # and anything set by the user if they're choosing 3 (or if they've
+ # modified GCC to set 3).
+ #
+ # malloc_usable_size doesn't play well with _F_S=3:
+ # https://github.com/systemd/systemd/issues/41459 (bug #971773)
+ if tc-is-clang && tc-enables-fortify-source ; then
+ # We can't unconditionally do this b/c we fortify needs
+ # some level of optimisation.
+ filter-flags -D_FORTIFY_SOURCE=3
+ append-cppflags -U_FORTIFY_SOURCE -D_GENTOO_NO_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
+ fi
+
+ python_setup
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ local myconf=(
+ --localstatedir="${EPREFIX}/var"
+ -Ddocdir="share/doc/${PF}"
+ -Dmode=release # default is developer, bug 918671
+ -Dlibc=$(usex elibc_musl musl glibc)
+ -Dsupport-url="${BRANDING_OS_SUPPORT_URL}"
+ -Dpamlibdir="$(getpam_mod_dir)"
+ -Dbashcompletiondir="$(get_bashcompdir)"
+ -Dzshcompletiondir="$(get_zshcompdir)"
+ -Dsplit-bin=false
+ -Dima=true # no deps
+ -Ddebug-shell="${EPREFIX}/bin/sh" # Match /etc/shells, bug 919749
+ -Ddefault-user-shell="${EPREFIX}/bin/bash"
+ -Dbpf-compiler=gcc
+ -Dntp-servers="0.gentoo.pool.ntp.org 1.gentoo.pool.ntp.org 2.gentoo.pool.ntp.org 3.gentoo.pool.ntp.org"
+ # Breaks screen, tmux, etc.
+ -Ddefault-kill-user-processes=false
+ -Dcreate-log-dirs=false
+ -Dlibcrypt=enabled
+ -Dcompat-mutable-uid-boundaries=true
+
+ # options affecting multilib
+ $(meson_use !elibc_musl nss-myhostname)
+ $(meson_feature !elibc_musl nss-mymachines)
+ $(meson_feature !elibc_musl nss-resolve)
+ $(meson_use !elibc_musl nss-systemd)
+ $(meson_feature pam)
+ )
+
+ # workaround for bug 969103
+ if [[ ${CHOST} == riscv32* ]] ; then
+ myconf+=( -Dtests=true )
+ else
+ myconf+=( $(meson_use test tests) )
+ fi
+
+ if multilib_is_native_abi; then
+ myconf+=(
+ --auto-features=enabled
+ -Dman=enabled
+ -Dxenctrl=disabled
+
+ # Optional components/dependencies
+ $(meson_feature acl)
+ $(meson_feature apparmor)
+ $(meson_feature audit)
+ $(meson_feature boot bootloader)
+ $(meson_feature bpf bpf-framework)
+ $(meson_feature cryptsetup libcryptsetup)
+ $(meson_feature cryptsetup libcryptsetup-plugins)
+ $(meson_feature curl libcurl)
+ $(meson_use dns-over-tls dns-over-tls)
+ $(meson_feature elfutils)
+ $(meson_feature fido2 libfido2)
+ $(meson_feature gcrypt)
+ $(meson_feature gnutls)
+ $(meson_feature homed)
+ $(meson_use idn)
+ $(meson_feature imds)
+ $(meson_feature importd)
+ $(meson_feature importd bzip2)
+ $(meson_feature importd sysupdate)
+ $(meson_feature importd zlib)
+ $(meson_use kernel-install)
+ $(meson_feature kmod)
+ $(meson_feature libarchive)
+ $(meson_feature lz4)
+ $(meson_feature lzma xz)
+ $(meson_feature zstd)
+ $(meson_feature openssl)
+ $(meson_feature passwdqc)
+ $(meson_feature pkcs11 p11kit)
+ $(meson_feature pcre pcre2)
+ $(meson_feature policykit polkit)
+ $(meson_feature pwquality)
+ $(meson_feature qrcode qrencode)
+ $(meson_feature remote)
+ $(meson_feature remote microhttpd)
+ $(meson_feature seccomp)
+ $(meson_feature selinux)
+ $(meson_feature tpm tpm2)
+ $(meson_feature test dbus)
+ $(meson_feature test glib)
+ $(meson_feature ukify)
+ $(meson_feature xkb xkbcommon)
+ )
+
+ case $(tc-arch) in
+ amd64|arm|arm64|loong|ppc|ppc64|riscv|s390|x86)
+ # src/vmspawn/vmspawn-util.h: QEMU_MACHINE_TYPE
+ myconf+=( -Dvmspawn=enabled ) ;;
+ *)
+ myconf+=( -Dvmspawn=disabled ) ;;
+ esac
+ else
+ myconf+=(
+ --auto-features=disabled
+ )
+ fi
+
+ meson_src_configure "${myconf[@]}"
+}
+
+multilib_src_compile() {
+ local args=()
+ if ! multilib_is_native_abi; then
+ args+=(
+ devel libsystemd libudev
+ $(usex elibc_musl '' nss)
+ $(usev pam)
+ )
+ fi
+ meson_src_compile "${args[@]}"
+}
+
+multilib_src_test() {
+ local args=( --timeout-multiplier=10 )
+ if ! multilib_is_native_abi; then
+ args+=(
+ --suite libsystemd --suite libudev
+ $(usex elibc_musl '' '--suite nss')
+ $(usex pam '--suite pam' '')
+ )
+ fi
+ (
+ unset DBUS_SESSION_BUS_ADDRESS XDG_RUNTIME_DIR
+ export COLUMNS=80
+ addpredict /dev
+ addpredict /proc
+ addpredict /run
+ addpredict /sys/fs/cgroup
+ meson_src_test "${args[@]}"
+ ) || die
+}
+
+multilib_src_install() {
+ local args=()
+ if ! multilib_is_native_abi; then
+ local tags=devel,libsystemd,libudev
+ use !elibc_musl && tags+=,nss
+ use pam && tags+=,pam
+ args+=( --tags "${tags}" )
+ fi
+ meson_src_install "${args[@]}"
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ dodoc "${FILESDIR}"/nsswitch.conf
+
+ insinto /usr/lib/tmpfiles.d
+ doins "${FILESDIR}"/legacy.conf
+
+ if ! use resolvconf; then
+ rm -f "${ED}"/usr/bin/resolvconf || die
+ fi
+
+ if ! use sysv-utils; then
+ rm "${ED}"/usr/bin/{halt,init,poweroff,reboot,shutdown} || die
+ rm "${ED}"/usr/share/man/man1/init.1 || die
+ rm "${ED}"/usr/share/man/man8/{halt,poweroff,reboot,shutdown}.8 || die
+ fi
+
+ # https://bugs.gentoo.org/761763
+ rm -r "${ED}"/usr/lib/sysusers.d || die
+
+ # Preserve empty dirs in /etc & /var, bug #437008
+ keepdir /etc/{binfmt.d,modules-load.d,tmpfiles.d}
+ keepdir /etc/kernel/install.d
+ keepdir /etc/systemd/{network,system,user}
+ keepdir /etc/udev/rules.d
+
+ keepdir /etc/udev/hwdb.d
+
+ keepdir /usr/lib/systemd/{system-sleep,system-shutdown}
+ keepdir /usr/lib/{binfmt.d,modules-load.d}
+ keepdir /usr/lib/systemd/user-generators
+ keepdir /var/lib/systemd
+ keepdir /var/log/journal
+
+ if use pam; then
+ if use selinux; then
+ newpamd "${FILESDIR}"/systemd-user-selinux.pam systemd-user
+ else
+ newpamd "${FILESDIR}"/systemd-user.pam systemd-user
+ fi
+ fi
+
+ if use kernel-install; then
+ # Dummy config, remove to make room for sys-kernel/installkernel
+ rm "${ED}/usr/lib/kernel/install.conf" || die
+ fi
+
+ use ukify && python_fix_shebang "${ED}"
+ use boot && secureboot_auto_sign
+}
+
+migrate_locale() {
+ local envd_locale_def="${EROOT}/etc/env.d/02locale"
+ local envd_locale=( "${EROOT}"/etc/env.d/??locale )
+ local locale_conf="${EROOT}/etc/locale.conf"
+
+ if [[ ! -L ${locale_conf} && ! -e ${locale_conf} ]]; then
+ # If locale.conf does not exist...
+ if [[ -e ${envd_locale} ]]; then
+ # ...either copy env.d/??locale if there's one
+ ebegin "Moving ${envd_locale} to ${locale_conf}"
+ mv "${envd_locale}" "${locale_conf}"
+ eend ${?} || FAIL=1
+ else
+ # ...or create a dummy default
+ ebegin "Creating ${locale_conf}"
+ cat > "${locale_conf}" <<-EOF
+ # This file has been created by the sys-apps/systemd ebuild.
+ # See locale.conf(5) and localectl(1).
+
+ # LANG=${LANG}
+ EOF
+ eend ${?} || FAIL=1
+ fi
+ fi
+
+ if [[ ! -L ${envd_locale} ]]; then
+ # now, if env.d/??locale is not a symlink (to locale.conf)...
+ if [[ -e ${envd_locale} ]]; then
+ # ...warn the user that he has duplicate locale settings
+ ewarn
+ ewarn "To ensure consistent behavior, you should replace ${envd_locale}"
+ ewarn "with a symlink to ${locale_conf}. Please migrate your settings"
+ ewarn "and create the symlink with the following command:"
+ ewarn "ln -s -n -f ../locale.conf ${envd_locale}"
+ ewarn
+ else
+ # ...or just create the symlink if there's nothing here
+ ebegin "Creating ${envd_locale_def} -> ../locale.conf symlink"
+ ln -n -s ../locale.conf "${envd_locale_def}"
+ eend ${?} || FAIL=1
+ fi
+ fi
+}
+
+pkg_preinst() {
+ if [[ -e ${EROOT}/etc/sysctl.conf ]]; then
+ # Symlink /etc/sysctl.conf for easy migration.
+ dosym ../../../etc/sysctl.conf /usr/lib/sysctl.d/99-sysctl.conf
+ fi
+
+ if ! use boot && has_version "sys-apps/systemd[gnuefi(-)]"; then
+ ewarn "The 'gnuefi' USE flag has been renamed to 'boot'."
+ ewarn "Make sure to enable the 'boot' USE flag if you use systemd-boot."
+ fi
+}
+
+pkg_postinst() {
+ xdg_mimeinfo_database_update
+ systemd_update_catalog
+
+ # Keep this here in case the database format changes so it gets updated
+ # when required.
+ udev_hwdb_update || FAIL=1
+ udev_reload || FAIL=1
+
+ # Bug 465468, make sure locales are respected, and ensure consistency
+ # between OpenRC & systemd
+ migrate_locale
+
+ # Bug 971385, 974688
+ local autovt=${EROOT}/etc/systemd/system/autovt@.service
+ if [[ ! -e ${autovt} && ! -L ${autovt} ]]; then
+ ln -s "${EPREFIX}/usr/lib/systemd/system/getty@.service" "${autovt}" || FAIL=1
+ fi
+
+ if [[ -z ${REPLACING_VERSIONS} ]]; then
+ if type systemctl &>/dev/null; then
+ systemctl --root="${ROOT:-/}" enable getty@.service remote-fs.target || FAIL=1
+ fi
+ elog "To enable a useful set of services, run the following:"
+ elog " systemctl preset-all --preset-mode=enable-only"
+ fi
+
+ if [[ -L ${EROOT}/var/lib/systemd/timesync ]]; then
+ rm "${EROOT}/var/lib/systemd/timesync"
+ fi
+
+ if [[ -z ${ROOT} && -d /run/systemd/system ]]; then
+ ebegin "Reexecuting system manager (systemd)"
+ systemctl daemon-reexec
+ eend $? || FAIL=1
+
+ # https://lists.freedesktop.org/archives/systemd-devel/2024-June/050466.html
+ ebegin "Signaling user managers to reexec"
+ systemctl kill --kill-whom='main' --signal='SIGRTMIN+25' 'user@*.service'
+ eend $?
+ fi
+
+ if [[ ${FAIL} ]]; then
+ eerror "One of the postinst commands failed. Please check the postinst output"
+ eerror "for errors. You may need to clean up your system and/or try installing"
+ eerror "systemd again."
+ eerror
+ fi
+
+ if use boot; then
+ optfeature "installing kernels in systemd-boot's native layout and update loader entries" \
+ "sys-kernel/installkernel[systemd-boot]"
+ fi
+ if use ukify; then
+ optfeature "generating unified kernel image on each kernel installation" \
+ "sys-kernel/installkernel[ukify]"
+ fi
+}
+
+pkg_prerm() {
+ # If removing systemd completely, remove the catalog database.
+ if [[ ! ${REPLACED_BY_VERSION} ]]; then
+ rm -f -v "${EROOT}"/var/lib/systemd/catalog/database
+ fi
+}
+
+pkg_postrm() {
+ xdg_mimeinfo_database_update
+}